Name:           perl-Dancer-Plugin-Passphrase
Version:        2.0.1
Release:        1%{?dist}
Summary:        Dancer::Plugin::Passphrase Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer-Plugin-Passphrase/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/J/JA/JAITKEN/Dancer-Plugin-Passphrase-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:v5.10.0
BuildRequires:  perl(Dancer)
BuildRequires:  perl(Dancer::Plugin)
BuildRequires:  perl(Data::Entropy::Algorithms) >= 0.003
BuildRequires:  perl(Digest) >= 1.16
BuildRequires:  perl(Digest::Bcrypt)
BuildRequires:  perl(Digest::SHA) >= 5.74
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Scalar::Util) >= 1.20
Requires:       perl(Dancer::Plugin)
Requires:       perl(Data::Entropy::Algorithms) >= 0.003
Requires:       perl(Digest) >= 1.16
Requires:       perl(Digest::Bcrypt)
Requires:       perl(Digest::SHA) >= 5.74
Requires:       perl(Scalar::Util) >= 1.20
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin manages the hashing of passwords for Dancer apps, allowing
developers to follow cryptography best practices without having to become a
cryptography expert.

%prep
%setup -q -n Dancer-Plugin-Passphrase-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Aug 28 2014 Dave Cross <dave@mag-sol.com> 2.0.1-1
- Specfile autogenerated by cpanspec 1.78.
